<template>
  <div class="footer_container">
    <div class="flex flex-between footer-row">
      <div class="flex footer-col">
        <Btn
          @click="showComponent('HowToPlay')"
          :disabled="component==='HowToPlay'">
          <div class="flex footer-btn-inner">
            <img
              src="~/static/icons/howtoplay.png"
              alt="">
            <span>
              {{$t('footer.howToPlay')}}
            </span>
          </div>
        </Btn>
      </div>
      <div class="flex footer-col">
        <Btn
          @click="showComponent('AffProgram')"
          :disabled="component==='AffProgram'">
          <div class="flex footer-btn-inner">
            <span>{{$t('footer.aff')}}</span>
            <img
              src="~/static/icons/aff.png"
              alt=""></div>
        </Btn>
      </div>
    </div>
    <div class="flex flex-between footer-row">
      <div class="flex flex-middle footer-col">
        <a
          style="margin: 0px;"
          class="btn footer-soc"
          href="https://t.me/I6bit_game"
          target="_blank">
          <img
            src="~/static/icons/t.png"
            alt="">
        </a>
        <Btn
          class="footer-soc"
          @click="showModal('instagram')">
          <img
            src="~/static/icons/i.png"
            alt="">
        </Btn>
        <Btn
          class="footer-soc"
          @click="showModal('youtube')">
          <img
            src="~/static/icons/y.png"
            alt="">
        </Btn>
        <ModalDefault
          ref="modal"
          width="350px"
          :showFooter="false">
          <div class="flex flex-middle flex-between">
            <img
              style="max-width: 50px;"
              :src="`/icons/${activeModal.slice(0,2)}.png`"
              alt="">
            <div
              class="ml-20"
              style="font-size: .745rem; color: #a5b5d1; text-transform: initial; line-height: 1.4;">{{$t(`footer.${activeModal}`)}}
            </div>
          </div>
        </ModalDefault>
      </div>
      <div class="flex footer-col">
        <Btn
          @click="showComponent('SupportChat')">
          <div class="flex footer-btn-inner">
            <span>{{$t('footer.support')}}</span>
            <img
              src="~/static/icons/support.png"
              alt="">
          </div>
        </Btn>
      </div>
    </div>
  </div>
</template>

<script>
  import Btn from '~/components/UI/Btn.vue';
  import ModalDefault from '~/components/UI/Modal/Default';


  export default {
    name: "FooterBtns",
    data() {
      return {
        activeModal: 'howToPlay'
      }
    },
    components: {
      Btn,
      ModalDefault
    },
    computed: {
      component() {
        return this.$store.state.common.showingModal;
      }
    },
    events: {
      'howtoplay:show': function() {
        this.showComponent('HowToPlay');
      }
    },
    methods: {
      showModal(type) {
        this.activeModal = type;
        this.$refs['modal'].show();
      },
      showComponent(component) {
        switch (component) {
          case 'HowToPlay': {
            this.ga('htp');
            break;
          }
          case 'SupportChat': {
            this.$root.$refs['footerModals'].showChat();
            this.ga('sh');
            break;
          }
          case 'AffProgram': {
            this.ga('as');
            break;
          }
          case 'Terms': {
            this.ga('tc');
            break;
          }
        }
        this.$store.commit('common/SET_SHOWING_MODAL', component);
      }
    }
  }
</script>
